Skip to main content
`Ctrl`+`K`

# PetscSFScatterEnd

ends pointwise scatter operation that was started with `PetscSFScatterBegin()`

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFScatterEnd(PetscSF sf, MPI_Datatype unit, const void *multirootdata, void *leafdata)

Collective

## Input Parameters

- sf - star forest

- unit - data type

- multirootdata - root buffer to send to each leaf, one unit of data per leaf

## Output Parameter

- leafdata - leaf data to be update with personal data from each respective root

## See Also

PetscSF - an alternative to low-level MPI calls for data communication, `PetscSF`, `PetscSFComputeDegreeBegin()`, `PetscSFComputeDegreeEnd()`, `PetscSFScatterBegin()`

## Level

intermediate

## Location

src/vec/is/sf/interface/sf.c

## Examples

src/vec/is/sf/tutorials/ex1.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages